apiVersion: apps/v1
kind: Deployment
metadata:
  name: catalog-api-deploy
spec:
  template:
    spec:
      containers:
        - name: api
          resources:
            requests:
              cpu: 25m
              memory: 32Mi
            limits:
              cpu: 250m
              memory: 128Mi